package cn.fateverse.query.mapper;

import cn.fateverse.query.entity.PortalInterface;

/**
 * @author Clay
 * @date 2024/4/26 11:23
 */
public interface PortalInterfaceMapper {

    /**
     * 根据id查询
     *
     * @param interfaceId 接口id
     * @return 接口信息
     */
    PortalInterface selectById(Long interfaceId);

    /**
     * 新增
     *
     * @param portalInterface 接口信息
     * @return 影响行数
     */
    Integer insert(PortalInterface portalInterface);

    /**
     * 修改
     *
     * @param portalInterface 接口信息
     * @return 影响行数
     */
    Integer update(PortalInterface portalInterface);

    /**
     * 删除
     *
     * @param interfaceId 接口id
     * @return 影响行数
     */
    Integer deleteById(Long interfaceId);


}
